org.apache.ignite.internal.util.offheap.unsafe

## Interface GridOffHeapSmartPointer

    public interface GridOffHeapSmartPointer

Smart pointer with reference counting.

### Method Summary

Methods
`void` `decrementRefCount()` Decrement reference count.
`void` `incrementRefCount()` Increment reference count.
`long` `pointer()`

### Method Detail

#### pointer

    long pointer()

Returns:
  Pointer address.

#### incrementRefCount

    void incrementRefCount()

Increment reference count.

#### decrementRefCount

    void decrementRefCount()

Decrement reference count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015